# 技術評論社「詳解Spark」のサンプルコード

[![License](http://img.shields.io/:license-Apache%202-red.svg)](http://www.apache.org/licenses/LICENSE-2.0.txt)
[![Build Status](https://travis-ci.org/yu-iskw/gihyo-spark-book-example.svg?branch=master)](https://travis-ci.org/yu-iskw/gihyo-spark-book-example)
[![codecov.io](https://codecov.io/github/yu-iskw/gihyo-spark-book-example/coverage.svg?branch=master)](https://codecov.io/github/yu-iskw/gihyo-spark-book-example?branch=master)

このリポジトリでは，技術評論社「詳解Spark」のサンプルコードを公開します．

## 必要な環境とビルド
このソースコードを実行するには，Apache Spark 1.6 が必要です．ビルドをするためには，次のコマンドを実行します．

```
./build/sbt clean assembly
```

## 各章の説明
各章で紹介されているサンプルコードの実行方法については，次をご覧ください．

- [３章 RDD](./ch03/README.md)
- [５章 DataFrameとSpark SQL](./ch05/README.md)
- [６章 Spark Streaming](./ch06/README.md)
- [７章 MLlib](./ch07/README.md)
